﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGKeepActiveRow
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel VM;
        GridData currItem;
        public MainWindow()
        {
            InitializeComponent();
            VM = new ViewModel();
            this.DataContext = VM;
            DataGrid.DataSource = VM.Data;
        }

       

        private void Button_AddData(object sender, RoutedEventArgs e)
        {
            currItem = VM.ActiveItem;
            DataGrid.DataSource = null;
            VM.AddData();
            DataGrid.DataSource = VM.Data;
            VM.ActiveItem = currItem;
        }

        private void Button_UpdateData(object sender, RoutedEventArgs e)
        {
            currItem = VM.ActiveItem;
            DataGrid.DataSource = null;
            VM.UpdateData();
            DataGrid.DataSource = VM.Data;
            VM.ActiveItem = currItem;
        }

       
    }
}
